SOLVED: 32-bit firefox+64-bit LMDE->"firefox-bin: not found"

Questions about applications and software
Forum rules
Before you post please read this

SOLVED: 32-bit firefox+64-bit LMDE->"firefox-bin: not found"

Postby TomRoche on Fri May 02, 2014 3:40 pm

summary: I must run a firefox-3.x to telework. A few weeks ago I successfully installed firefox-3.6.28 on LMDE-201403/UP8, but mistakenly destroyed that install. I have reinstalled LMDE and firefox-3.6.28, but this time the downlevel firefox will not run, instead giving a nonsensical error message:

Code: Select all
$ /usr/local/share/firefox-3.6.28/firefox -no-remote -ProfileManager &
> [1] 8297
> $ /usr/local/share/firefox-3.6.28/run-mozilla.sh: 143: exec: /usr/local/share/firefox-3.6.28/firefox-bin: not found


That is clearly false (details below). How to fix or debug?

details:

As detailed in a previous question, to get remote access to the cluster on which I work, my workplace forces me to run a VPN which requires me to run firefox-3.x in order to install a browser plugin (the F5 Network Access Plugin, aka F5NAP). I previously was able to do this first ~2 years ago (as described here) on an older LMDE (UP4?) using the latest/last firefox-3.x built for linux (though unfortunately only for 32-bit), firefox-3.6.28.

About a month ago, that older PC developed severe problems, so I began to setup a newer PC, which must also run the VPN, and therefore firefox-3.6.28+F5NAP. Note that the new box is also 64-bit, but (unlike the old box) is running a multiarch-ed LMDE (UP8).

3 weeks ago I successfully installed and ran firefox-3.6.28+F5NAP on the new box as detailed here. Unfortunately I misconfigured LVM, forcing me to reinstall everything :-( The good news is, I fixed the problem in my LMDE+LUKS+LVM2 installer, so reinstall was quick+easy, and most of my applications are installed and working (e.g., the firefox-28.0 which I am using to ask this question) with up-to-date packages. The one exception ... firefox-3.6.28 :-( Which I really need, since otherwise, I can't telework!

I'm installing and running firefox-3.6.28 the same way I did last time, with the following bash scriptlet:

Code: Select all
FF_VERSION='3.6.28'
LINUX_VERSION='i686'                # since there is no 64-bit build of this version of firefox
EXEC_FN='firefox'
LANG='en-US'
FF_WITH_VERSION="firefox-${FF_VERSION}"
URI="https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/${FF_VERSION}/linux-${LINUX_VERSION}/${LANG}/${FF_WITH_VERSION}.tar.bz2"
BUILD_DIR="/tmp/${FF_WITH_VERSION}"
UNZIP_DIR="${BUILD_DIR}/firefox"
INSTALL_ROOT='/usr/local/share'     # same location where I successfully installed last time
INSTALL_OWN='root:staff'            # same permission as other code in /usr/local/share/
INSTALL_DIR="${INSTALL_ROOT}/${FF_WITH_VERSION}"
EXEC_FP="${INSTALL_DIR}/${EXEC_FN}"
EXEC_ARGS='-no-remote -ProfileManager'

# `tar j` == bzip2
for CMD in \
  "mkdir -p ${BUILD_DIR}" \
  "sudo mkdir -p ${INSTALL_ROOT}" \
  "pushd ${BUILD_DIR}" \
  "wget -O - ${URI} | tar xfj -" \
  "find | wc -l" \
  "popd" \
  "sudo mv ${UNZIP_DIR} ${INSTALL_DIR}" \
  "sudo chown -R ${INSTALL_OWN} ${INSTALL_DIR}/" \
  "du -hs ${INSTALL_DIR}/" \
  "ls -alh ${EXEC_FP}" \
  "${EXEC_FP} ${EXEC_ARGS} &" \
; do
  echo -e "$ ${CMD}"
  eval "${CMD}"
done


firefox-3.6.28 appears to install correctly, just like last time:

Code: Select all
$ ls -alh /usr/local/share/firefox-3.6.28/
total 20M
drwxr-xr-x 13 root staff 4.0K May  1 18:30 .
drwxrwsr-x  9 root staff 4.0K May  1 18:04 ..
-rw-r--r--  1 root staff 2.1K Mar  6  2012 application.ini
-rw-r--r--  1 root staff    0 Mar  6  2012 .autoreg
-rw-r--r--  1 root staff 5.1K Mar  6  2012 blocklist.xml
-rw-r--r--  1 root staff  232 Mar  6  2012 browserconfig.properties
drwxr-xr-x  3 root staff 4.0K Mar  6  2012 chrome
drwxr-xr-x  2 root staff 4.0K Mar  6  2012 components
-rwxr-xr-x  1 root staff  51K Mar  6  2012 crashreporter
-rw-r--r--  1 root staff 3.8K Mar  6  2012 crashreporter.ini
-rw-r--r--  1 root staff  583 Mar  6  2012 crashreporter-override.ini
drwxr-xr-x  5 root staff 4.0K Mar  6  2012 defaults
-rw-r--r--  1 root staff  136 Mar  6  2012 dependentlibs.list
drwxr-xr-x  2 root staff 4.0K Mar  6  2012 dictionaries
drwxr-xr-x  3 root staff 4.0K Mar  6  2012 extensions
-rwxr-xr-x  1 root staff 3.9K Mar  6  2012 firefox
-rwxr-xr-x  1 root staff  44K Mar  6  2012 firefox-bin
drwxr-xr-x  2 root staff 4.0K Mar  6  2012 greprefs
drwxr-xr-x  2 root staff 4.0K Mar  6  2012 icons
-rw-r--r--  1 root staff  478 Mar  6  2012 libfreebl3.chk
-rwxr-xr-x  1 root staff 326K Mar  6  2012 libfreebl3.so
-rwxr-xr-x  1 root staff 1.1M Mar  6  2012 libmozjs.so
-rwxr-xr-x  1 root staff 201K Mar  6  2012 libnspr4.so
-rwxr-xr-x  1 root staff 853K Mar  6  2012 libnss3.so
-rwxr-xr-x  1 root staff 390K Mar  6  2012 libnssckbi.so
-rw-r--r--  1 root staff  478 Mar  6  2012 libnssdbm3.chk
-rwxr-xr-x  1 root staff 121K Mar  6  2012 libnssdbm3.so
-rwxr-xr-x  1 root staff  81K Mar  6  2012 libnssutil3.so
-rwxr-xr-x  1 root staff  14K Mar  6  2012 libplc4.so
-rwxr-xr-x  1 root staff 8.8K Mar  6  2012 libplds4.so
-rwxr-xr-x  1 root staff 123K Mar  6  2012 libsmime3.so
-rw-r--r--  1 root staff  478 Mar  6  2012 libsoftokn3.chk
-rwxr-xr-x  1 root staff 194K Mar  6  2012 libsoftokn3.so
-rwxr-xr-x  1 root staff 501K Mar  6  2012 libsqlite3.so
-rwxr-xr-x  1 root staff 169K Mar  6  2012 libssl3.so
-rwxr-xr-x  1 root staff  12K Mar  6  2012 libxpcom.so
-rwxr-xr-x  1 root staff  16M Mar  6  2012 libxul.so
-rw-r--r--  1 root staff  31K Mar  6  2012 LICENSE
drwxr-xr-x  2 root staff 4.0K Mar  6  2012 modules
-rwxr-xr-x  1 root staff  11K Mar  6  2012 mozilla-xremote-client
-rw-r--r--  1 root staff  137 Mar  6  2012 platform.ini
-rwxr-xr-x  1 root staff 3.7K Mar  6  2012 plugin-container
drwxr-xr-x  2 root staff 4.0K Mar  6  2012 plugins
-rw-r--r--  1 root staff  177 Mar  6  2012 README.txt
-rw-r--r--  1 root staff  16K Mar  6  2012 removed-files
drwxr-xr-x  6 root staff 4.0K Mar  6  2012 res
-rwxr-xr-x  1 root staff 9.8K Mar  6  2012 run-mozilla.sh
drwxr-xr-x  2 root staff 4.0K Mar  6  2012 searchplugins
-rw-r--r--  1 root staff  825 Mar  6  2012 Throbber-small.gif
-rw-r--r--  1 root staff    6 Mar  6  2012 update.locale
-rwxr-xr-x  1 root staff  71K Mar  6  2012 updater
-rw-r--r--  1 root staff  143 Mar  6  2012 updater.ini


But firefox-3.6.28 does not run:

Code: Select all
$ /usr/local/share/firefox-3.6.28/firefox -no-remote -ProfileManager &
> [1] 8297
> $ /usr/local/share/firefox-3.6.28/run-mozilla.sh: 143: exec: /usr/local/share/firefox-3.6.28/firefox-bin: not found


This seems absurd: as noted above, /usr/local/share/firefox-3.6.28/firefox-bin clearly exists, and is in the same directory as /usr/local/share/firefox-3.6.28/run-mozilla.sh , and both have the same permissions. So I'm thinking something is very wrong--so wrong that mozilla's run scripts don't know what to do--which leads me to suspect multiarch. (I.e., I suspect that last time I installed something that I haven't yet installed this time. But, again, that's just a guess. Note that I *do* have

Code: Select all
$ dpkg --print-foreign-architectures
i386


) So my question is, how to fix, or further debug, this problem?

Your prompt assistance is appreciated, since I can't telework until I get this fixed :-(
Last edited by TomRoche on Sat May 03, 2014 7:11 pm, edited 1 time in total.
TomRoche
Level 3
Level 3
 
Posts: 173
Joined: Thu Jan 13, 2011 2:52 pm

Linux Mint is funded by ads and donations.
 

Re: 32-bit firefox + 64-bit LMDE -> "firefox-bin: not found"

Postby Monsta on Sat May 03, 2014 3:40 am

Such "not found" messages usually indicate the absence of 32-bit libc6...
Monsta
Level 8
Level 8
 
Posts: 2454
Joined: Fri Aug 19, 2011 3:46 am

Re: 32-bit firefox + 64-bit LMDE -> "firefox-bin: not found"

Postby GeneBenson on Sat May 03, 2014 3:58 am

Hi TomRoche,

I'm no multiarch expert so I'll stick with Firefox observations. I've been running 2 versions of Firefox (current and beta), each with it's own profile for a number of years now. When I create a launcher I [b]don't[/b ]point it to run-mozilla.sh but to firefox, which is in the same folder. You might want to try that.

Or start Firefox like this: /usr/local/share/firefox-3.6.28/firefox -no-remote -ProfileManager then select which profile you want to use and hit the "Start Firefox" button.

The current version uses the default profile so the start command is: /opt/firefox/firefox %u
The beta version, which is simply in my home folder is started like this: /home/gene/firefox/firefox -P 'Fx-Beta' N.B. Firefox beta is in my home folder.
Before running the beta for the first time I started the Firefox Profile manager and created a new profile for it. Fx-Beta is simply the name I gave the profile when creating it.
The only thing I needed to do was make sure the default profile remained the default. You do that by starting the Profile manager, selecting the default profile, and making sure "don't ask a startup" is checked.

If you see the following message:
Code: Select all
(process:12743): GLib-CRITICAL **: g_slice_set_config: assertion 'sys_page_size == 0' failed

don't worry about it. I've been getting that (and many others) for quite some time.

Hope this helps. :D
GeneBenson
Level 3
Level 3
 
Posts: 181
Joined: Fri Sep 17, 2010 9:55 pm

firefox peculiarities

Postby TomRoche on Sat May 03, 2014 7:21 pm

GeneBenson wrote:When I create a launcher I [b]don't[/b ]point it to run-mozilla.sh but to firefox


As did I: see the scriptlets in my original post (top of thread). Turns out .../firefox is a script, which calls .../run-mozilla.sh (another script), which calls .../firefox-bin , all in the same directory.

GeneBenson wrote:If you see the following message:
Code: Select all
(process:12743): GLib-CRITICAL **: g_slice_set_config: assertion 'sys_page_size == 0' failed

don't worry about it. I've been getting that (and many others) for quite some time.


Thanks! I noticed that in my previous, successful install (as well as some locale errors that I subsequently fixed). I hope to get back to that state soon, now that I've installed package=libc6:i386 et al ...
TomRoche
Level 3
Level 3
 
Posts: 173
Joined: Thu Jan 13, 2011 2:52 pm

SOLVED: 32-bit firefox+64-bit LMDE->"firefox-bin: not found

Postby TomRoche on Sat May 03, 2014 7:28 pm

Monsta wrote:"not found" messages usually indicate the absence of 32-bit libc6...


SOLVED! for the full description, see this post to debian-user (in a quite illuminating thread starting here--recommended reading if you find Monsta's advice cryptic), but it's mostly

Code: Select all
me@it ~ $ ldd /usr/local/share/firefox-3.6.28/firefox-bin
        not a dynamic executable

# libc6:i386, dependencies, and recommended from `aptitude -s`
me@it ~ $ sudo aptitude install libc6:i386 gcc-4.8-base:i386 libc6-i686:i386 libgcc1:i386
The following NEW packages will be installed:
  gcc-4.8-base:i386 libc6:i386 libc6-i686:i386 libgcc1:i386
0 packages upgraded, 4 newly installed, 0 to remove and 0 not upgraded.
...
Setting up gcc-4.8-base:i386 (4.8.2-1) ...
Setting up libc6:i386 (2.17-97) ...
Setting up libgcc1:i386 (1:4.8.2-1) ...
...
Setting up libc6-i686:i386 (2.17-97) ...
Processing triggers for libc-bin ...

me@it ~ $ ldd /usr/local/share/firefox-3.6.28/firefox-bin
        linux-gate.so.1 (0xf7775000)
        libpthread.so.0 => /lib/i386-linux-gnu/i686/cmov/libpthread.so.0 (0xf7740000)
        libxul.so => not found
        libmozjs.so => not found
        libxpcom.so => not found
        libplds4.so => not found
        libplc4.so => not found
        libnspr4.so => not found
        libdl.so.2 => /lib/i386-linux-gnu/i686/cmov/libdl.so.2 (0xf7739000)
        libgtk-x11-2.0.so.0 => not found
        libatk-1.0.so.0 => not found
        libgdk-x11-2.0.so.0 => not found
        libgdk_pixbuf-2.0.so.0 => not found
        libpangocairo-1.0.so.0 => not found
        libpango-1.0.so.0 => not found
        libcairo.so.2 => not found
        libgobject-2.0.so.0 => not found
        libgmodule-2.0.so.0 => not found
        libglib-2.0.so.0 => not found
        libX11.so.6 => not found
        libasound.so.2 => not found
        libm.so.6 => /lib/i386-linux-gnu/i686/cmov/libm.so.6 (0xf76f4000)
        libstdc++.so.6 => not found
        libgcc_s.so.1 => /lib/i386-linux-gnu/libgcc_s.so.1 (0xf76d7000)
        libc.so.6 => /lib/i386-linux-gnu/i686/cmov/libc.so.6 (0xf7527000)
        /lib/ld-linux.so.2 (0xf7776000)
TomRoche
Level 3
Level 3
 
Posts: 173
Joined: Thu Jan 13, 2011 2:52 pm


Return to Software & Applications

Who is online

Users browsing this forum: Google Adsense [Bot] and 7 guests